Package com.sas.services.security

# Class NetworkLoginServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.security.LoginServiceException
com.sas.services.security.NetworkLoginServiceException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `BadHostLoginServiceException`, `ConnectRefusedLoginServiceException`

public class NetworkLoginServiceException extends LoginServiceException implements Serializable
This exception gets thrown when a user attempts to authenticate, and the authentication fails because of network problems. Specific subclasses of this exception can be used when more information about the failure can be determined.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkLoginServiceException()`
  Constructs a default network login exception.
  `NetworkLoginServiceException(String message)`
  Constructs a network login exception using the specified message detailing the failure.
  `NetworkLoginServiceException(Throwable throwable, String message)`
  Constructs a network login exception.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NetworkLoginServiceException

    public NetworkLoginServiceException()
    Constructs a default network login exception.

  - ### NetworkLoginServiceException

    public NetworkLoginServiceException(String message)
    Constructs a network login exception using the specified message detailing the failure.
    Parameters:
      `message` - Message detailing why the login failed.

  - ### NetworkLoginServiceException

    public NetworkLoginServiceException(Throwable throwable, String message)
    Constructs a network login exception.
    Parameters:
      `throwable` - Throwable which caused the login failure.
      `message` - Message detailing why the login failed.